
{* Funktionsleiste Allg. Funktionen *}
DEFINE Gd_allg_funktionen_toolbar_init
 
  {* Std-Text Tabelle fuellen *}
  CREATE_LTAB 'std_texte.ltab'
  Gdm_fill_table_from_file 'std_texte.ltab' (Test_pfad+'\std_texte.dat') 1 '#' ':' del_old
   
  TOOLBAR DEL_OLD 'tlb_gd_allg_funktionen' PERSISTENT OFF END
  {TOOLBAR CAPTION 'Allg. Funktionen' DOCK LEFT 1 1 0 END}
  TOOLBAR CAPTION 'Allg. Funktionen' DOCK TOP 1 2 0 END
  Gd_allg_funktionen_add_item
  
  TOOLBAR_LAYOUT REFRESH END
END_DEFINE

DEFINE Gd_allg_funktionen_add_item
  LOCAL Erhoehe_P
  LOCAL P
  LOCAL S_
  LOCAL Z  {* Zeile *}
  LOCAL Az {* Anzahl Zeilen *}
  
  LET P 1
  DEFINE Erhoehe_P
     LET P (P + 1)  
  END_DEFINE
  
  DEFINE S_
    TOOLBAR_ITEM OVER_WRITE 'Separator' ADD_TO_TOOLBAR P END
    Erhoehe_P
  END_DEFINE

  
  TOOLBAR_ITEM OVER_WRITE 'txt_gd_standard_text' 
    CAPTION 'Standard Text whlen!'
    ITEM_TYPE STATIC_TEXT
    CATEGORY 'gd_allg_funktionen'
    TOOLTIP ''
    PERSISTENT OFF
    ADD_TO_TOOLBAR P
  END
  Erhoehe_P

  LET Z 1
  LET Az (LTAB_ROWS 'std_texte.ltab')  
  TOOLBAR_ITEM OVER_WRITE 'com_gd_standard_text'
    ITEM_TYPE COMBO_EDIT
    LIST_REMOVE ALL
    LOOP
    EXIT_IF (Z>Az)
      LIST_ADD
      (READ_LTAB 'std_texte.ltab' Z 1)
      LET Z (Z+1)
    END_LOOP
    SET_VALUE 1
    CATEGORY 'gd_allg_funktionen'
    PERSISTENT OFF
    ADD_TO_TOOLBAR P
  END
  Erhoehe_P
  
  TOOLBAR_ITEM OVER_WRITE 'btn_gd_text_schreiben'
    CAPTION 'Text schreiben'
    ITEM_TYPE PUSH_BUTTON
    CATEGORY 'gd_allg_funktionen'
    TOOLTIP 'Standard Text einfgen'
    ON_ACTION 'Gd_schreibe_std_text'
    ON_RIGHT_CLICK ''
    PERSISTENT OFF
    ADD_TO_TOOLBAR P
  END
  Erhoehe_P
  
END_DEFINE

DEFINE Gd_schreibe_std_text
  LOCAL Std_text
  INQ_TOOLBAR_ITEM 'com_g_d_std_text'
  LET Std_text (INQ 307)
  TEXT Assistance Std_text
END_DEFINE
